﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.ServiceBus;
using System.ServiceModel;
using DemoService;

namespace WebRole
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        } 
        protected void SearchSB_Clicked(object sender, EventArgs e)
        {

            string serviceNamespaceDomain = "YOURNAMESPACE";
            string issuerName = "owner";
            string issuerSecret = "YOURSECURITY";
            try
            {
                Uri serviceUri = ServiceBusEnvironment.CreateServiceUri("sb", serviceNamespaceDomain, "ServiceNetTcp");

                TransportClientEndpointBehavior sharedSecretServiceBusCredential = new TransportClientEndpointBehavior();
                sharedSecretServiceBusCredential.CredentialType = TransportClientCredentialType.SharedSecret;
                sharedSecretServiceBusCredential.Credentials.SharedSecret.IssuerName = issuerName;
                sharedSecretServiceBusCredential.Credentials.SharedSecret.IssuerSecret = issuerSecret;
                // create the channel factory loading the configuration
                ChannelFactory<IService> channelFactory = new ChannelFactory<IService>("RelayEndpoint", new EndpointAddress(serviceUri));
                // apply the Service Bus credentials
                channelFactory.Endpoint.Behaviors.Add(sharedSecretServiceBusCredential);
                // create and open the client channel
                IService channel = channelFactory.CreateChannel();
                ((ICommunicationObject)channel).Open();

                string result = channel.GetData(Convert.ToInt32 (TextBox2 .Text ));
                TextBox1.Text  = result;
                ((ICommunicationObject)channel).Close();
                channelFactory.Close();
            }
            catch (Exception ex)
            {
                TextBox1.Text = ex.Message ;
            }
        }
    }
}
